Bug 840625 - Post 'import manifest' subscriptions return row:NotFound
Post 'import manifest' subscriptions return row:NotFound
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity urgent (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On: 840603
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 13:45 EDT by Eric Sammons
Modified: 2013-03-27 16:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the previous release of CloudForms System Engine, when working with 'Import Manifest', the subscriptions pane (left pane) returned "row:NotFound" errors when a subscription was selected. This has been fixed in the current release.
Story Points: ---
Clone Of: 840603
Environment:
Last Closed: 2012-12-04 14:47:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-16 13:45:55 EDT
+++ This bug was initially created as a clone of Bug #840603 +++

Created attachment 598498 [details]
subscription row:NotFound error

Description of problem:
When working with 'Import Manifest', the subscriptions pane (left pane) will start returning row:NotFound errors when a subscription is selected.

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1


Steps to Reproduce:
1. Navigate to content tab
2. Select 'Import Manifest'
3. Enter your manifest
4. Click on Import
5. You are returned to the subscriptions view
6. select a subscription
  
Actual results:
Error
There was an error retrieving that row:Not Found

----- katello/production.log
[ERROR: 2012-07-16 12:49:16 #1685] Rendering 404: Route does not exist: subscriptions/8a8b661838903ec3013890a4a13e0033/new
[ERROR: 2012-07-16 12:49:25 #1691] Rendering 404: Route does not exist: subscriptions/8a8b661838903ec3013890a4a0220026/new

Expected results:
Subscription details to be displayed in the right pane
Comment 1 Pavel Pokorny 2012-07-17 10:44:20 EDT
Fixed in:

0bc6be9 840625 - Post 'import manifest' subscriptions return row:NotFound
Comment 3 Og Maciel 2012-09-14 17:23:43 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:47:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.